Child pages
  • oi_hipster
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 20 Next »

pChangelog

2013-07-20 Perl was updated to 5.16 

Update instructions:

    1. To install new perl-516 firstly update perl-510. Old perl-510 ships hardlinks. It was updated to install mediated links. Note, it is just old repackaged perl 5.10.0 from /dev compiled with Sun Studio, only manifest was patched to deliver mediated links. Perl 5.10 is still used while compiling illumos-gate.
    2. If you just update old library/perl-5/database and other modules you'll receive new packages, which are just meta-packages, new packages will likely pull library/perl-5/*-516 packages and you'll stay without old modules, so remember to install corresponding library/perl-5/*-5100 packages after update (if someone is interested 5100 stands for perl 5.10.0). 

2013-08-20 MariaDB 5.5 is used as default MySQL provider

2013-10-11 PHP 5.2 removed (replaced by PHP 5.4)

2013-11-14 PostgreSQL 8.2 and 8.3 packages removed (replaced by PostgreSQL 9.3, which is now a default PostgreSQL version)

2013-12-10 IPS was updated. IPS GUI - package-manager and update-manager - was removed. If you hosted local IPS servers you have to recreate services, which supported these servers.  Procedure is the same (and described, for example, here http://wiki.illumos.org/display/illumos/Redistributing+built+packages ) , but old services just don't work after update.

2014-01-08 Firefox is updated to 17.0.6 ESR, OpenJDK 1.7.45 and icedtea-web 6ec72d653144 are used as java browser plugin.

2014-01-15 Thunderbird is updated to 24.2.0

2014-01-16 Python 2.4 is deprecated

2014-01-28 rapper binary from library/raptor was renamed to rapper-1 to avoid conflict with library/raptor2 package.

2014-01-31 gnome-libs are separated in several packages. text/rarian files moved from /usr to /usr/g++. For compatibility symbolic links in /usr/bin were created to point to corresponding programs in /usr/g++. The library itself is no longer compatible, as it is rebuilt with g++.

2014-02-27 oi-userland was switched to use new versioning scheme. If you build software, please ensure to test it with set environment variables COMPONENT_BUILD_ARGS=-j4 and USERLAND_ARCHIVES

2014-03-12 slim_source was rebuilt with GCC

2014-03-18 gstreamer was rebuilt. gstreamer/plugin/base and gstreamer/plugin/good are separate packages now

2014-04-12 Remove LP-related desktop components (gnome-print, gnome-print-papi). ghex is also removed (it depends on them, removed upstream). 

  • No labels